To use PageOne’s SMS plug-in for Microsoft Excel®, your PC will need to have the following minimum requirements:

System requirements

Operating system: Windows NT, 2000 and XP
Software version: Microsoft Excel® 2007 or 2010. A version of the excel plugin is also available for earlier versions of Excel, please contact us to download this version.

Download the plug-in